Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.dtd
Class XML11NMTOKENDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.dtd.NMTOKENDatatypeValidator
            |
            +--org.apache.xerces.impl.dv.dtd.XML11NMTOKENDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

public class XML11NMTOKENDatatypeValidator
extends NMTOKENDatatypeValidator

NMTOKEN datatype validator for NMTokens from XML 1.1.

Version:
  $Id: XML11NMTOKENDatatypeValidator.java,v 1.1 2002/12/07 00:20:55 neilg Exp $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM, Neil Graham, IBM

Constructor Summary
`XML11NMTOKENDatatypeValidator()`

Method Summary
`void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid NMTOKEN value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML11NMTOKENDatatypeValidator

    public XML11NMTOKENDatatypeValidator()

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  Checks that "content" string is valid NMTOKEN value. If invalid a Datatype validation exception is thrown.
  Overrides:
    `validate` in class `NMTOKENDatatypeValidator`
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context
  Throws:
    `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
  See Also:
    `InvalidDatatypeValueException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.